Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.temporal
Interface TemporalGeometricPrimitive

All Superinterfaces:
  Separation, TemporalObject, TemporalOrder, TemporalPrimitive

All Known Subinterfaces:
  Instant, Period

    @UML(identifier="TM_GeometricPrimitive",
         specification=ISO_19108)
    public interface TemporalGeometricPrimitive

extends TemporalPrimitive, Separation

An abstract class with two subclasses for representing a temporal instant and a temporal period.

Method Summary

Methods inherited from interface TemporalOrder
`relativePosition`

Methods inherited from interface Separation
`distance, length`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.